.share-modal-container {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(255, 255, 255, 0.637);
    z-index: 1;
    display: none;
}

.share-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fefefe;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 10px;
}

.share-modal-content {
    padding: 28px 50px 37px 50px;
    border-radius: 10px;
}

.share-modal-btn {
    border-radius: 10px;
    width: 200px;
    height: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 30px 10px 10px 10px;
    color: var(--theme-color-text);
}

.share-modal-btn .share-modal-icon {
    font-size: 100px;
    cursor: pointer;
    transition: 100ms;
}

.fa.fa-clone {
    font-weight: 900;
}

.share-modal-header {
    background-color: var(--theme-color-primary);
    margin: 0;
    padding: 20px 0 20px 0;
    border-radius: 10px 10px 0 0;
    color: white;
    width: 100%;
    text-align: center;
    font-size: 23px;
}

.share-modal-exit {
    position: absolute;
    top: 4.5%;
    right: 4.5%;
    color: white;
    font-size: 15px;
    cursor: pointer;
    padding: 9px 12px 9px 12px;
}

.share-modal-interactives {
    display: flex;
    justify-content: space-between;
}

.share-modal-interactives:has(> :only-child) {
    justify-content: center;
}

.share-modal-label {
    margin: 0;
    font-weight: bold;
    font-size: 18px;
}

.share-modal-link-container {
    margin-bottom: 35px;
}

.share-modal-link-box {
    border-radius: 10px;
    margin-top: 7px;
    width: 480px;
    padding: 5px 15px 5px 15px;
}

.share-modal-link {
    font-size: 13px;
    word-break: break-all;
}

.share-modal-grey-bg {
    background-color: rgb(243, 243, 243);
}

.share-modal-shadow {
    box-shadow: 0 4px 10px 2px rgb(224, 224, 224);
}

.share-modal-border {
    border: 1px solid rgb(231, 231, 231);
}

.share-modal-toast {
    position: fixed;
    z-index: 2;
    left: 50%;
    transform: translate(-50%, 0%);
    top: 17%;
    background-color: rgba(0, 0, 0, 0.582);
    color: white;
    padding: 10px;
    border-radius: 10px;
    font-size: 15px;
    text-wrap: nowrap;
    display: none;
}

@media only screen and (max-width: 650px) {
    .share-modal-content {
        padding: 20px 25px 10px 25px;
    }

    .share-modal-header {
        font-size: 20px;
    }

    .share-modal-link-box {
        width: 230px;
    }

    .share-modal-interactives {
        flex-direction: column;
    }

    .share-modal-btn {
        flex-direction: row;
        width: 230px;
        height: 70px;
    }

    .share-modal-btn .share-modal-icon {
        font-size: 30px;
    }

    .share-modal-label {
        font-size: 15px;
        height: 100%;
        padding-bottom: 25px;
    }

    .share-modal-link {
        font-size: 11px;
    }

    .share-modal-link-container {
        margin-bottom: 15px;
    }

    .share-modal-btn {
        margin-bottom: 15px;
        padding-bottom: 30px;
        justify-content: space-around;
    }

}